/*
 * SGChangeLogDialog.java
 *
 * Created on 2004/11/05, 13:37
 */

package jp.riken.brain.ni.samuraigraph.application;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import jp.riken.brain.ni.samuraigraph.base.*;
import jp.riken.brain.ni.samuraigraph.data.*;
import jp.riken.brain.ni.samuraigraph.figure.*;
import jp.riken.brain.ni.samuraigraph.figure.java2d.*;


/**
 *
 * @author  kuromaru
 */
public class SGChangeLogDialog extends SGScrollPaneDialog
	implements AdjustmentListener
{

	public static final String TITLE = "Change Log";

	/** Creates new form SGChangeLogDialog */
	public SGChangeLogDialog()
	{
		super();
		this.initProperty();
	}


    /** Creates new form SGChangeLogDialog */
    public SGChangeLogDialog(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        this.initProperty();
    }

	/** Creates new form SGChangeLogDialog */
	public SGChangeLogDialog(java.awt.Dialog parent, boolean modal) {
		super(parent, modal);
		this.initProperty();
	}

    
	private boolean initProperty()
	{
		this.setTitle(TITLE);

		// hide the cancel button
		this.mCancelButton.setVisible(false);

		// set the size of scroll pane
		this.mDetailScrollPane.setPreferredSize( new Dimension(304,200) );

		this.pack();

		return true;
	}


}
